repo/proj/guru:dev commit in: gui-apps/libre-menu-editor/, /
Björn Ferson <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786282195.33221bc35a9cbab00d24a71c8e59f43b02973fbb.bjorn.megaflow@gentoo> |
commit: 33221bc35a9cbab00d24a71c8e59f43b02973fbb
Author: Bjorn Ferson <bjorn.megaflow <AT> gmail <DOT> com>
AuthorDate: Sun Aug 9 13:29:26 2026 +0000
Commit: Björn Ferson <bjorn.megaflow <AT> gmail <DOT> com>
CommitDate: Sun Aug 9 13:29:55 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=33221bc3
gui-apps/libre-menu-editor New package
Signed-off-by: Bjorn Ferson <bjorn.megaflow <AT> gmail.com>
README.md | 2 +
gui-apps/libre-menu-editor/Manifest | 1 +
.../libre-menu-editor-1.10.5.ebuild | 53 ++++++++++++++++++++++
.../libre-menu-editor-9999.ebuild | 53 ++++++++++++++++++++++
gui-apps/libre-menu-editor/metadata.xml | 11 +++++
5 files changed, 120 insertions(+)
diff --git a/README.md b/README.md
index 1b626d7179..f6a99f3310 100644
--- a/README.md
+++ b/README.md
@@ -44,6 +44,8 @@ The [GURU rules](https://wiki.gentoo.org/wiki/Project:GURU#Rules), and the Gento
- https://dev.gentoo.org/~mgorny/python-guide/eclass.html
- [GURU outdated packages](https://repology.org/projects/?inrepo=gentoo_ovl_guru&outdated=on)
- [GURU Bugs](https://bugs.gentoo.org/buglist.cgi?f1=product&f2=component&list_id=7042152&o1=equals&query_format=advanced&resolution=---&v1=GURU&v2=Package%20issues)
+- [binhost.h97i.org](https://binhost.h97i.org)
+- [cloud.h97i.org](https://cloud.h97i.org)
## Email Addresses <a name="email"></a>
diff --git a/gui-apps/libre-menu-editor/Manifest b/gui-apps/libre-menu-editor/Manifest
new file mode 100644
index 0000000000..d385bf7021
--- /dev/null
+++ b/gui-apps/libre-menu-editor/Manifest
@@ -0,0 +1 @@
+DIST libre-menu-editor-1.10.5.tar.gz 248287 BLAKE2B a4d62f0e86ea20b46ff464f0867de9a0f3c1f50219ab5648be0a69246c1c12e0170999bf031c22ce943a9947bde98833f0993496fd1fe842a1f3d41136c6eed0 SHA512 901473e911599f49e7558b8f613bd06151902a1e7e6b04fccf6cff4b8f073eebc96b2f12efba1e74573fdf703b87f0057f6c3be81f207b23c883412b0209a42c
diff --git a/gui-apps/libre-menu-editor/libre-menu-editor-1.10.5.ebuild b/gui-apps/libre-menu-editor/libre-menu-editor-1.10.5.ebuild
new file mode 100644
index 0000000000..9892fff8cf
--- /dev/null
+++ b/gui-apps/libre-menu-editor/libre-menu-editor-1.10.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..15} )
+inherit python-single-r1 xdg
+
+DESCRIPTION="A libre menu editor for desktop entries"
+HOMEPAGE="https://codeberg.org/libre-menu-editor/libre-menu-editor"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://codeberg.org/libre-menu-editor/libre-menu-editor"
+else
+ SRC_URI="https://codeberg.org/libre-menu-editor/libre-menu-editor/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+# this ebuild does not install binaries
+RESTRICT="binchecks strip"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=gui-libs/libadwaita-1.2.0
+ gui-libs/gtk:4
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ ')
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_compile() {
+ :
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+
+ rm "${ED}/usr/share/libre-menu-editor/COPYING" || die
+ python_fix_shebang "${ED}/usr/share/libre-menu-editor/main.py"
+ python_optimize "${ED}/usr/share/libre-menu-editor"
+ fperms +x "/usr/share/libre-menu-editor/main.py"
+ dosym ../share/libre-menu-editor/main.py /usr/bin/libre-menu-editor
+
+ sed -i -e "s|Exec=.*|Exec=libre-menu-editor|" \
+ "${ED}/usr/share/applications/page.codeberg.libre_menu_editor.LibreMenuEditor.desktop" || die
+}
diff --git a/gui-apps/libre-menu-editor/libre-menu-editor-9999.ebuild b/gui-apps/libre-menu-editor/libre-menu-editor-9999.ebuild
new file mode 100644
index 0000000000..9892fff8cf
--- /dev/null
+++ b/gui-apps/libre-menu-editor/libre-menu-editor-9999.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..15} )
+inherit python-single-r1 xdg
+
+DESCRIPTION="A libre menu editor for desktop entries"
+HOMEPAGE="https://codeberg.org/libre-menu-editor/libre-menu-editor"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://codeberg.org/libre-menu-editor/libre-menu-editor"
+else
+ SRC_URI="https://codeberg.org/libre-menu-editor/libre-menu-editor/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+# this ebuild does not install binaries
+RESTRICT="binchecks strip"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=gui-libs/libadwaita-1.2.0
+ gui-libs/gtk:4
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ ')
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_compile() {
+ :
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+
+ rm "${ED}/usr/share/libre-menu-editor/COPYING" || die
+ python_fix_shebang "${ED}/usr/share/libre-menu-editor/main.py"
+ python_optimize "${ED}/usr/share/libre-menu-editor"
+ fperms +x "/usr/share/libre-menu-editor/main.py"
+ dosym ../share/libre-menu-editor/main.py /usr/bin/libre-menu-editor
+
+ sed -i -e "s|Exec=.*|Exec=libre-menu-editor|" \
+ "${ED}/usr/share/applications/page.codeberg.libre_menu_editor.LibreMenuEditor.desktop" || die
+}
diff --git a/gui-apps/libre-menu-editor/metadata.xml b/gui-apps/libre-menu-editor/metadata.xml
new file mode 100644
index 0000000000..6dcab66434
--- /dev/null
+++ b/gui-apps/libre-menu-editor/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Björn</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="codeberg">libre-menu-editor/libre-menu-editor</remote-id>
+ </upstream>
+</pkgmetadata>